using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IGuarantorLogic
	{
		List<GuarantorViewModel>? ReadList(GuarantorSearchModel? model);
		GuarantorViewModel? ReadElement(GuarantorSearchModel? model);
		bool Create(GuarantorBindingModel? model);
		bool Update(GuarantorBindingModel? model);
		bool Delete(GuarantorBindingModel? model);
	}
}
